Hi David,

   Sorry I didn't inform my current environment setup. I am on Apache Lucene
5.5.4 version(As our application is still running on JDK 1.7).

In that version, I only see one constructor for PointVectorStrategy class

 public PointVectorStrategy(com.spatial4j.core.context.SpatialContext ctx,
java.lang.String fieldNamePrefix);

I don't use Solr packages either.

What's the correct way to use PointVectorStrategy under Lucene 5.5.4
version?

Thanks for taking time and responding.
--
View this message in context: http://lucene.472066.n3.nabble.com/Lucene-GeoNear-Search-and-Sort-Performance-tp4343468p4346286.html
Sent from the Lucene - Java Users mailing list archive at Nabble.com.

---------------------------------------------------------------------
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB